# Set to False when on actual Raspberry Pi
MOCK_MODE = True          # Use mock sensors
MOCK_MQTT = False         # Use real MQTT client (connects to Node-RED)
MOCK_LCD = True           # Mock LCD display

USE_THINGSBOARD = True

if USE_THINGSBOARD:
    MQTT_BROKER = "thingsboard.cs.cf.ac.uk"
    MQTT_PORT = 1883
    MQTT_TOPIC = "v1/devices/me/telemetry"
    ACCESS_TOKEN = "ad9EfCbasXFLokL3tkC1"
else:
    MQTT_BROKER = "localhost"
    MQTT_PORT = 1883
    MQTT_TOPIC = "smartdoorbell/events"
    ACCESS_TOKEN = ""


# Port Assignment
PORTS = {
    "light": 1,   # A1 - Light sensor
    "pir": 4,     # D4 - Motion sensor
    "button": 3,  # D2 - Button (KIT 2 THINKS THAT "3" IS PORT 2)
    "buzzer": 7   # D7 - Buzzer output
}

# Light detection settings
LIGHT_THRESHOLD = 300
LIGHT_TRIGGER_DELAY = 15
    # Number of dark readings to trigger night mode
    # 15=3/0.2
    # LTD = signficantTime(s) / MainLoopDelay(s)

# Motion detection settings
MOTION_TRIGGER_DELAY = 7
NO_MOTION_RELEASE_DELAY = 15
MOTION_COOLDOWN = 3 # Cooldown between motion alerts

# Main loop delay
SCAN_INTERVAL = 0.2

PREFERENCES = {
    "Thingsboard": False,
    "Visual": True,
    "Audio": True
}
