# Notification handler for audio, visual, and MQTT output

from doorbell.sensors import ring_buzzer
from doorbell.display import set_display
from doorbell.mqtt_client import initialise_mqtt, send_data
from doorbell.utils import log_event

def notify(preferences, message="visitor", duration=0.2):
    """
    Send notification based on user preferences.
    Options: MQTT (Thingsboard), LCD (visual), buzzer (audio).
    """
    if preferences.get("Audio"):
        ring_buzzer(duration)

    if preferences.get("Visual"):
        print("*Visual alert*")

    if preferences.get("Thingsboard"):
        send_data(message)

