import time
import random
from doorbell.config import PREFERENCES
from doorbell.mqtt_client import initialise_mqtt, send_data
from doorbell.utils import log_event

def mock_telemetry_loop(interval=5):
    """Continuously simulate sensor values and system preference state."""
    log_event("MOCK", "Starting mock telemetry loop")

    while True:
        # Simulate sensor data
        light = random.randint(200, 800)
        motion = random.choice([0, 1])
        button = random.choice([0, 1])
        event = random.choice(["motion", "doorbell", "visitor", "idle"])

        # Build payload
        payload = {
            "light": light,
            "motion": motion,
            "button": button,
            "event": event,
            "audio_enabled": PREFERENCES["Audio"],
            "visual_enabled": PREFERENCES["Visual"],
            "thingsboard_enabled": PREFERENCES["Thingsboard"]
        }

        send_data(event_type=event, extra_data=payload)

        time.sleep(interval)
