"""
Test suite for the button sensor.
Simulates a digital read from the doorbell button (mocked).
"""

import unittest
from doorbell.sensors import read_button
from doorbell.config import PORTS

class TestButtonSensor(unittest.TestCase):
    def test_mock_button_read(self):
        """
        Test that the mock button read returns a valid state (0 or 1).
        0 = Pressed, 1 = Not Pressed.
        """
        print(f"\n[TEST] Reading button on pin {PORTS['button']}")
        value = read_button()
        self.assertIn(value, [0, 1], "Button should return digital value 0 or 1")
