"""
Test suite for the LCD display.
Ensures the system can write to the screen without crashing.
"""

import unittest
from doorbell.display import set_display

class TestLCDDisplay(unittest.TestCase):
    def test_display_does_not_crash(self):
        """
        Test that calling set_display() with a message doesn't raise an exception.
        """
        print(f"\n[TEST] Updating display with test message")
        try:
            set_display("Testing display message")
        except Exception as e:
            self.fail(f"set_display() raised an exception: {e}")
