"""
Test suite for the PIR motion sensor.
Validates that the motion state returned is within expected digital bounds.
"""

import unittest
from doorbell.sensors import read_motion
from doorbell.config import PORTS

class TestMotionSensor(unittest.TestCase):
    def test_mock_motion_read(self):
        """
        Simulate a motion read and ensure it returns 0 (no motion) or 1 (motion detected).
        """
        print(f"\n[TEST] Reading motion sensor on pin {PORTS['pir']}")
        value = read_motion()
        print(f"Motion detected: {bool(value)}")
        self.assertIn(value, [0, 1])
