"""
Test suite for MQTT integration.
Simulates connecting and sending telemetry to Thingsboard.
"""

import unittest
from doorbell.mqtt_client import initialise_mqtt, send_data

class TestMQTTMock(unittest.TestCase):
    def test_mock_publish(self):
        """
        Test MQTT mock client initialization and message publishing.
        Should not raise exceptions or crash.
        """
        print(f"\n[TEST] Initializing and publishing test message via MQTT")
        try:
            initialise_mqtt()
            send_data("test-mock-event")
        except Exception as e:
            self.fail(f"MQTT mock publish failed: {e}")
